All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.logging
Interface LoggerInterface

All Superinterfaces:
  java.io.Serializable

Deprecated. As of 9.3, replace with direct use of log4j.

    @Deprecated
    public interface LoggerInterface

extends java.io.Serializable

Logger Interface.

This interface is used by Logging Service clients to send messages to various logging output destinations.

Since:
  1.0

Field Summary
`static int` | `DEBUG` Deprecated. The `DEBUG` level designates informational events that are most useful to debug an application.
`static int` | `ERROR` Deprecated. The `ERROR` level designates error events that might still allow the application to continue running.
`static int` | `FATAL` Deprecated. The `FATAL` level designates very severe error events that will presumably lead the application to abort.
`static int` | `INFO` Deprecated. The `INFO` level designates informational messages that highlight the progress of the application.
`static java.lang.String` | `SYSTEM_ERR` Deprecated. Used by `addConsoleOutput(String)` to specify an output destination of System.err.
`static java.lang.String` | `SYSTEM_OUT` Deprecated. Used by `addConsoleOutput(String)` to specify an output destination of System.out.
`static int` | `WARN` Deprecated. The `WARN` level designates potentially harmful situations.

Method Summary
`void` | `addArmOutput()` Deprecated. Add Application Response Measurement (ARM) output for this logger.
`void` | `addConsoleOutput(java.lang.String destination)` Deprecated. Add a console output destination for this Logger.
`void` | `addConsoleOutput(java.lang.String destination, java.lang.String pattern)` Deprecated. Add a console output destination for this Logger.
`void` | `addFileOutput(java.lang.String filename)` Deprecated. Add a file output destination for this Logger.
`void` | `addFileOutput(java.lang.String filename, java.lang.String pattern)` Deprecated. Add a file output destination for this Logger.
`void` | `addSocketOutput(java.lang.String host, int port)` Deprecated. Add a socket output destination for this Logger.
`void` | `addSocketOutput(java.lang.String host, int port, java.lang.String pattern)` Deprecated. Add a socket output destination for this Logger.
`void` | `debug(java.lang.Object message)` Deprecated. Send a debug message to the log.
`void` | `debug(java.lang.Object message, java.lang.String loggingContext)` Deprecated. Send a debug message to the log, including the current session context ID.
`void` | `debug(java.lang.Object message, java.lang.String loggingContext, java.lang.Throwable t)` Deprecated. Send a debug message to the log along with an exception and its stack trace, including the current session context ID.
`void` | `debug(java.lang.Object message, java.lang.Throwable t)` Deprecated. Send a debug message to the log along with an exception and its stack trace.
`void` | `destroy()` Deprecated. It is no longer necessary for a client to invoke this method. This method will eventually be removed from the interface.
`void` | `error(java.lang.Object message)` Deprecated. Send an error message to the log.
`void` | `error(java.lang.Object message, java.lang.String loggingContext)` Deprecated. Send an error message to the log, including the current session context ID.
`void` | `error(java.lang.Object message, java.lang.String loggingContext, java.lang.Throwable t)` Deprecated. Send an error message to the log along with an exception and its stack trace, including the current session context ID.
`void` | `error(java.lang.Object message, java.lang.Throwable t)` Deprecated. Send an error message to the log along with an exception and its stack trace.
`void` | `fatal(java.lang.Object message)` Deprecated. Send a fatal message to the log.
`void` | `fatal(java.lang.Object message, java.lang.String loggingContext)` Deprecated. Send a fatal message to the log, including the current session context ID.
`void` | `fatal(java.lang.Object message, java.lang.String loggingContext, java.lang.Throwable t)` Deprecated. Send a fatal message to the log along with an exception and its stack trace, including the current session context ID.
`void` | `fatal(java.lang.Object message, java.lang.Throwable t)` Deprecated. Send a fatal message to the log along with an exception and its stack trace.
`MessageCount` | `getMessageCount()` Deprecated. Get singleton MessageCount object, which contains current logging message counts.
`int` | `getPriority()` Deprecated. Get Priority.
`void` | `info(java.lang.Object message)` Deprecated. Send an info message to the log.
`void` | `info(java.lang.Object message, java.lang.String loggingContext)` Deprecated. Send an info message to the log, including the current session context ID.
`void` | `info(java.lang.Object message, java.lang.String loggingContext, java.lang.Throwable t)` Deprecated. Send an info message to the log along with an exception and its stack trace, including the current session context ID.
`void` | `info(java.lang.Object message, java.lang.Throwable t)` Deprecated. Send an info message to the log along with an exception and its stack trace.
`boolean` | `isChained()` Deprecated. Get the current setting of Chained.
`boolean` | `isDebugEnabled()` Deprecated. Check for logging enabled at debug level.
`boolean` | `isDebugEnabled(java.lang.String loggingContext)` Deprecated. Check for logging enabled at debug level.
`boolean` | `isInfoEnabled()` Deprecated. Check for logging enabled at info level.
`boolean` | `isInfoEnabled(java.lang.String loggingContext)` Deprecated. Check for logging enabled at info level.
`boolean` | `isLevelEnabled(int level)` Deprecated. Check for logging enabled at specified level.
`boolean` | `isLevelEnabled(int level, java.lang.String loggingContext)` Deprecated. Check for logging enabled at specified level.
`boolean` | `isMessageCounting()` Deprecated. Query messasge counting on or off.
`void` | `log(int level, java.lang.Object message)` Deprecated. Send a message to the log.
`void` | `log(int level, java.lang.Object message, java.lang.String loggingContext)` Deprecated. Send a message to the log, including the current session context ID.
`void` | `log(int level, java.lang.Object message, java.lang.String loggingContext, java.lang.Throwable t)` Deprecated. Send a message to the log along with an exception and its stack trace, including the current session context ID.
`void` | `log(int level, java.lang.Object message, java.lang.Throwable t)` Deprecated. Send a message to the log along with an exception and its stack trace.
`void` | `removeAllOutputs()` Deprecated. Remove all output destinations for this Logger.
`void` | `removeArmOutput()` Deprecated. Remove Application Response Measurement (ARM) output for this logger.
`void` | `removeConsoleOutput(java.lang.String destination)` Deprecated. Remove a console output destination for this Logger.
`void` | `removeFileOutput(java.lang.String filename)` Deprecated. Remove a file output destination for this Logger.
`void` | `removeSocketOutput(java.lang.String host, int port)` Deprecated. Remove a socket output destination for this Logger.
`void` | `setChained(boolean chained)` Deprecated. When Chained is true ( the default ) then logging outputs are written to additively based on settings up the Logger inheritence chain.
`void` | `setMessageCounting(boolean value)` Deprecated. Turn message counting on or off.
`void` | `setPriority(int level)` Deprecated. Set Priority.
`void` | `setSessionContext(SessionContextInterface sessionContext)` Deprecated. This method should not be used. Client code should use the LoggingService `LoggingService.getLogger(String, SessionContextInterface)` method to specify the session context. This method will eventually be removed from the interface.
`void` | `warn(java.lang.Object message)` Deprecated. Send a warning message to the log.
`void` | `warn(java.lang.Object message, java.lang.String loggingContext)` Deprecated. Send a warning message to the log, including the current session context ID.
`void` | `warn(java.lang.Object message, java.lang.String loggingContext, java.lang.Throwable t)` Deprecated. Send a warning message to the log along with an exception and its stack trace, including the current session context ID.
`void` | `warn(java.lang.Object message, java.lang.Throwable t)` Deprecated. Send a warning message to the log along with an exception and its stack trace.

Field Detail

### SYSTEM_OUT

    static final java.lang.String SYSTEM_OUT

  Deprecated.
  Used by `addConsoleOutput(String)` to specify an output destination of System.out.

  See Also:
    Constant Field Values

### SYSTEM_ERR

    static final java.lang.String SYSTEM_ERR

  Deprecated.
  Used by `addConsoleOutput(String)` to specify an output destination of System.err.

  See Also:
    Constant Field Values

### FATAL

    static final int FATAL

  Deprecated.
  The `FATAL` level designates very severe error events that will presumably lead the application to abort.

  See Also:
    Constant Field Values

### ERROR

    static final int ERROR

  Deprecated.
  The `ERROR` level designates error events that might still allow the application to continue running.

  See Also:
    Constant Field Values

### WARN

    static final int WARN

  Deprecated.
  The `WARN` level designates potentially harmful situations.

  See Also:
    Constant Field Values

### INFO

    static final int INFO

  Deprecated.
  The `INFO` level designates informational messages that highlight the progress of the application.

  See Also:
    Constant Field Values

### DEBUG

    static final int DEBUG

  Deprecated.
  The `DEBUG` level designates informational events that are most useful to debug an application.

  See Also:
    Constant Field Values

Method Detail

### log

    void log(int level,
             java.lang.Object message)

  Deprecated.
  Send a message to the log.

  Parameters:
    `level` - of priority of message. See Writing log messages from your code for a description of priority levels.
    `message` - to be sent to log.

### log

    void log(int level,
             java.lang.Object message,
             java.lang.Throwable t)

  Deprecated.
  Send a message to the log along with an exception and its stack trace.

  Parameters:
    `level` - of priority of message. See Writing log messages from your code for a description of priority levels.
    `message` - to be sent to log.
    `t` - the exception to log, including its stack trace.

### log

    void log(int level,
             java.lang.Object message,
             java.lang.String loggingContext)

  Deprecated.
  Send a message to the log, including the current session context ID.

  Parameters:
    `level` - of priority of message. See Writing log messages from your code for a description of priority levels.
    `message` - to be sent to log.
    `loggingContext` - of the message. See Hierarchical name space of logging contexts for a description of logging contexts.

### log

    void log(int level,
             java.lang.Object message,
             java.lang.String loggingContext,
             java.lang.Throwable t)

  Deprecated.
  Send a message to the log along with an exception and its stack trace, including the current session context ID.

  Parameters:
    `level` - of priority of message. See Writing log messages from your code for a description of priority levels.
    `message` - to be sent to log.
    `loggingContext` - logging context to associate with this message. See Hierarchical name space of logging contexts for a description of logging contexts.
    `t` - the exception to log, including its stack trace.

### isLevelEnabled

    boolean isLevelEnabled(int level)

  Deprecated.
  Check for logging enabled at specified level.

  Parameters:
    `level` - of logging desired. See Writing log messages from your code for a description of priority levels.
  Returns:
    true if logging enabled at specified level.

### isLevelEnabled

    boolean isLevelEnabled(int level,
                           java.lang.String loggingContext)

  Deprecated.
  Check for logging enabled at specified level.

  Parameters:
    `level` - of logging desired. See Writing log messages from your code for a description of priority levels.
    `loggingContext` - of the message. See Hierarchical name space of logging contexts for a description of logging contexts.
  Returns:
    true if logging enabled at specified level.

### debug

    void debug(java.lang.Object message)

  Deprecated.
  Send a debug message to the log.

  Parameters:
    `message` - to be sent to log.

### debug

    void debug(java.lang.Object message,
               java.lang.Throwable t)

  Deprecated.
  Send a debug message to the log along with an exception and its stack trace.

  Parameters:
    `message` - to be sent to log.
    `t` - the exception to log, including its stack trace.

### debug

    void debug(java.lang.Object message,
               java.lang.String loggingContext)

  Deprecated.
  Send a debug message to the log, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - of the message. See Hierarchical name space of logging contexts for a description of logging contexts.

### debug

    void debug(java.lang.Object message,
               java.lang.String loggingContext,
               java.lang.Throwable t)

  Deprecated.
  Send a debug message to the log along with an exception and its stack trace, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - logging context to associate with this message. See Hierarchical name space of logging contexts for a description of logging contexts.
    `t` - the exception to log, including its stack trace.

### isDebugEnabled

    boolean isDebugEnabled()

  Deprecated.
  Check for logging enabled at debug level.

  Returns:
    true if logging enabled at debug level.

### isDebugEnabled

    boolean isDebugEnabled(java.lang.String loggingContext)

  Deprecated.
  Check for logging enabled at debug level.

  Parameters:
    `loggingContext` - of the message. See Hierarchical name space of logging contexts for a description of logging contexts.
  Returns:
    true if logging enabled at debug level.

### info

    void info(java.lang.Object message)

  Deprecated.
  Send an info message to the log.

  Parameters:
    `message` - to be sent to log.

### info

    void info(java.lang.Object message,
              java.lang.Throwable t)

  Deprecated.
  Send an info message to the log along with an exception and its stack trace.

  Parameters:
    `message` - to be sent to log.
    `t` - the exception to log, including its stack trace.

### info

    void info(java.lang.Object message,
              java.lang.String loggingContext)

  Deprecated.
  Send an info message to the log, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - of the message. See Hierarchical name space of logging contexts for a description of logging contexts.

### info

    void info(java.lang.Object message,
              java.lang.String loggingContext,
              java.lang.Throwable t)

  Deprecated.
  Send an info message to the log along with an exception and its stack trace, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - logging context to associate with this message. See Hierarchical name space of logging contexts for a description of logging contexts.
    `t` - the exception to log, including its stack trace.

### isInfoEnabled

    boolean isInfoEnabled()

  Deprecated.
  Check for logging enabled at info level.

  Returns:
    true if logging enabled at info level.

### isInfoEnabled

    boolean isInfoEnabled(java.lang.String loggingContext)

  Deprecated.
  Check for logging enabled at info level.

  Parameters:
    `loggingContext` - of the message. See Hierarchical name space of logging contexts for a description of logging contexts.
  Returns:
    true if logging enabled at info level.

### warn

    void warn(java.lang.Object message)

  Deprecated.
  Send a warning message to the log.

  Parameters:
    `message` - to be sent to log.

### warn

    void warn(java.lang.Object message,
              java.lang.Throwable t)

  Deprecated.
  Send a warning message to the log along with an exception and its stack trace.

  Parameters:
    `message` - to be sent to log.
    `t` - the exception to log, including its stack trace.

### warn

    void warn(java.lang.Object message,
              java.lang.String loggingContext)

  Deprecated.
  Send a warning message to the log, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - of the message. See Hierarchical name space of logging contexts for a description of logging contexts.

### warn

    void warn(java.lang.Object message,
              java.lang.String loggingContext,
              java.lang.Throwable t)

  Deprecated.
  Send a warning message to the log along with an exception and its stack trace, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - logging context to associate with this message. See Hierarchical name space of logging contexts for a description of logging contexts.
    `t` - the exception to log, including its stack trace.

### error

    void error(java.lang.Object message)

  Deprecated.
  Send an error message to the log.

  Parameters:
    `message` - to be sent to log.

### error

    void error(java.lang.Object message,
               java.lang.Throwable t)

  Deprecated.
  Send an error message to the log along with an exception and its stack trace.

  Parameters:
    `message` - to be sent to log.
    `t` - the exception to log, including its stack trace.

### error

    void error(java.lang.Object message,
               java.lang.String loggingContext)

  Deprecated.
  Send an error message to the log, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - of the message. See Hierarchical name space of logging contexts for a description of logging contexts.

### error

    void error(java.lang.Object message,
               java.lang.String loggingContext,
               java.lang.Throwable t)

  Deprecated.
  Send an error message to the log along with an exception and its stack trace, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - logging context to associate with this message. See Hierarchical name space of logging contexts for a description of logging contexts.
    `t` - the exception to log, including its stack trace.

### fatal

    void fatal(java.lang.Object message)

  Deprecated.
  Send a fatal message to the log.

  Parameters:
    `message` - to be sent to log.

### fatal

    void fatal(java.lang.Object message,
               java.lang.Throwable t)

  Deprecated.
  Send a fatal message to the log along with an exception and its stack trace.

  Parameters:
    `message` - to be sent to log.
    `t` - the exception to log, including its stack trace.

### fatal

    void fatal(java.lang.Object message,
               java.lang.String loggingContext)

  Deprecated.
  Send a fatal message to the log, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - of the message. See Hierarchical name space of logging contexts for a description of logging contexts.

### fatal

    void fatal(java.lang.Object message,
               java.lang.String loggingContext,
               java.lang.Throwable t)

  Deprecated.
  Send a fatal message to the log along with an exception and its stack trace, including the current session context ID.

  Parameters:
    `message` - to be sent to log.
    `loggingContext` - logging context to associate with this message. See Hierarchical name space of logging contexts for a description of logging contexts.
    `t` - the exception to log, including its stack trace.

### addConsoleOutput

    void addConsoleOutput(java.lang.String destination)

  Deprecated.
  Add a console output destination for this Logger.

  Parameters:
    `destination` - should be one of LoggerInterface.SYSTEM_OUT or LoggerInterface.SYSTEM_ERR

### addConsoleOutput

    void addConsoleOutput(java.lang.String destination,
                          java.lang.String pattern)

  Deprecated.
  Add a console output destination for this Logger.

  Parameters:
    `destination` - should be one of LoggerInterface.SYSTEM_OUT or LoggerInterface.SYSTEM_ERR
    `pattern` - conversion string to control format of output. See Pattern Layout for easy formatting of output for details on the pattern string.

### removeConsoleOutput

    void removeConsoleOutput(java.lang.String destination)

  Deprecated.
  Remove a console output destination for this Logger.

  Parameters:
    `destination` - should be one of LoggerInterface.SYSTEM_OUT or LoggerInterface.SYSTEM_ERR

### addFileOutput

    void addFileOutput(java.lang.String filename)
                       throws java.io.IOException

  Deprecated.
  Add a file output destination for this Logger.

  Parameters:
    `filename` - to receive log messages. The filename is relative to the system the Logger is running on, so that with a remote Logger the file may not be located on the system the client application is running on.
  Throws:
    `java.io.IOException`

### addFileOutput

    void addFileOutput(java.lang.String filename,
                       java.lang.String pattern)
                       throws java.io.IOException

  Deprecated.
  Add a file output destination for this Logger.

  Parameters:
    `filename` - to receive log messages. The filename is relative to the system the Logger is running on, so that with a remote Logger the file may not be located on the system the client application is running on.
    `pattern` - conversion string to control format of output. See Pattern Layout for easy formatting of output for details on the pattern string.
  Throws:
    `java.io.IOException`

### removeFileOutput

    void removeFileOutput(java.lang.String filename)

  Deprecated.
  Remove a file output destination for this Logger.

  Parameters:
    `filename` - that has been receiving log messages.

### addSocketOutput

    void addSocketOutput(java.lang.String host,
                         int port)

  Deprecated.
  Add a socket output destination for this Logger.

  Parameters:
    `host` - to receive log messages.
    `port` - on host to receive log messages.

### addSocketOutput

    void addSocketOutput(java.lang.String host,
                         int port,
                         java.lang.String pattern)

  Deprecated.
  Add a socket output destination for this Logger.

  Parameters:
    `host` - to receive log messages.
    `port` - on host to receive log messages.
    `pattern` - conversion string to control format of output. See Pattern Layout for easy formatting of output for details on the pattern string.

### removeSocketOutput

    void removeSocketOutput(java.lang.String host,
                            int port)

  Deprecated.
  Remove a socket output destination for this Logger.

  Parameters:
    `host` - receiving log messages.
    `port` - on host receiving log messages.

### addArmOutput

    void addArmOutput()

  Deprecated.
  Add Application Response Measurement (ARM) output for this logger.

### removeArmOutput

    void removeArmOutput()

  Deprecated.
  Remove Application Response Measurement (ARM) output for this logger.

### removeAllOutputs

    void removeAllOutputs()

  Deprecated.
  Remove all output destinations for this Logger.

### setChained

    void setChained(boolean chained)

  Deprecated.
  When Chained is true ( the default ) then logging outputs are written to additively based on settings up the Logger inheritence chain. If Chained is set to false, then no logging is initiated on Loggers above this level in the Logger inheritence chain.

  Parameters:
    `chained` - true or false to set Chained state.

### isChained

    boolean isChained()

  Deprecated.
  Get the current setting of Chained.

  Returns:
    the boolean value of the Chained attribute.

### setSessionContext

    void setSessionContext(SessionContextInterface sessionContext)

  Deprecated. This method should not be used. Client code should use the LoggingService `LoggingService.getLogger(String, SessionContextInterface)` method to specify the session context. This method will eventually be removed from the interface.

### setPriority

    void setPriority(int level)

  Deprecated.
  Set Priority.

  Parameters:
    `level` - priority level.

### getPriority

    int getPriority()

  Deprecated.
  Get Priority.

  Looks through the inheritance hierarchy to determine priority. The returned value will not necessarily be equal to one of the predefined priorities (DEBUG, INFO, WARN, ERROR, etc.).

  Returns:
    level priority level.

### getMessageCount

    MessageCount getMessageCount()

  Deprecated.
  Get singleton MessageCount object, which contains current logging message counts.

  Returns:
    MessageCount object.

### setMessageCounting

    void setMessageCounting(boolean value)

  Deprecated.
  Turn message counting on or off.

  Parameters:
    `value` - true or false. If true, message counting is turned on.

### isMessageCounting

    boolean isMessageCounting()

  Deprecated.
  Query messasge counting on or off.

  Returns:
    true if message counting is active; otherwise false.

### destroy

    void destroy()

  Deprecated. It is no longer necessary for a client to invoke this method. This method will eventually be removed from the interface.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.